import java.io.Serializable;
import java.util.*;

import org.hibernate.*;
import org.hibernate.cfg.*;
import org.hibernate.criterion.*;
import org.hibernate.event.*;
import org.hibernate.event.def.*;

public class Main {
   public static void main(String[] args) throws Exception {
      HibernateUtil.setup("create table cd(id int,title varchar,artist varchar,purchasedate date,cost double);");    
      HibernateUtil.setup("create table secd(id int,newfeatures varchar);");    
      HibernateUtil.setup("create table icd(id int,languages varchar,region int);");    

      Session session = HibernateUtil.currentSession();

      Book cd = new Book("Book", "R", new Date(), 9.99);
      SpecialEditionBook secd = new SpecialEditionBook("sBook", "R", new Date(), 9.99, "W");
      InternationalBook icd = new InternationalBook("IBook", "R", new Date(), 9.99, "S", 4);

      session.save(cd);
      session.save(secd);
      session.save(icd);

      session.flush();      
      session.close();
     HibernateUtil.checkData("select * from cd");
   }
}
